	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";
	
	
	// Cache
	// _______________________________________________________________________
	var PROPERTY_REC_EODREP_ZREAD_ID = -1;
	var PROPERTY_EDIT_MODE = false;
	var PROPERTY_EDIT_ROW_INDEX = -1;
	var INPUT_INSTANCE = null;
	
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	var DELETE_BBI = null;
	var CANCEL_BBI = null;
	var NAVIGATION_BACK_BBI = null;
	
	var SEARCH_CMD = null;
	var PRINT_BBI = null;
	var EXPORT_BBI = null;
	
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var REC_EODREP_ZREAD_REC_EODREP_ID_CMB = null;
	var REC_EODREP_ZREAD_DATE_DTP = null;
	var REC_EODREP_ZREAD_AMOUNT_LAST_TXT = null;
	var REC_EODREP_ZREAD_AMOUNT_ACCUM_TXT = null;
	var REC_EODREP_ZREAD_AMOUNT_RESET_TXT = null;
	var REC_EODREP_ZREAD_SALE_TRANSACTION_TXT = null;
	var REC_EODREP_ZREAD_CANCEL_TRANSACTION_TXT = null;
	var REC_EODREP_ZREAD_CANCEL_ITEM_TXT = null;
	var REC_EODREP_ZREAD_SALE_SUBTOTAL_TXT = null;
	var REC_EODREP_ZREAD_SALE_DISCOUNT_TXT = null;
	var REC_EODREP_ZREAD_SALE_RETURN_TXT = null;
	var REC_EODREP_ZREAD_SALE_VATABLE_TXT = null;
	var REC_EODREP_ZREAD_SALE_VATEXEMPT_TXT = null;
	var REC_EODREP_ZREAD_SALE_NONVAT_TXT = null;
	var REC_EODREP_ZREAD_SALE_ZERORATED_TXT = null;
	var REC_EODREP_ZREAD_SALE_VAT_TXT = null;
	var REC_EODREP_ZREAD_PAID_CASH_TXT = null;
	var REC_EODREP_ZREAD_PAID_CARD_TXT = null;
	var REC_EODREP_ZREAD_PAID_CHECK_TXT = null;
	var REC_EODREP_ZREAD_PAID_BANK_TXT = null;
	var REC_EODREP_ZREAD_PAID_LOYALTY_TXT = null;
	var REC_EODREP_ZREAD_PAID_VOUCHER_TXT = null;
	var REC_EODREP_ZREAD_PAID_OTHER_TXT = null;
	var REC_EODREP_ZREAD_STATUS_CMB = null;
	var PARAM_REC_EODREP_ZREAD_ID_FILE_FP = null;
	
	
	// DGV Controls
	// _______________________________________________________________________
	var EOD_ZREADING_DGV = null;


	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Load Cache Parent Data [Add Redirects if this is a required data.]
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_EOD_ZREADING"))
		{
			PROPERTY_PARENT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ID_EOD_ZREADING");
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
			//window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_EOD_ZREADING"))
		{
			PROPERTY_PARENT_DESCRIPTION = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DESCRIPTION_EOD_ZREADING");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_TXT") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_TXT", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_LBL", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_TITLE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL") + " : " + PROPERTY_PARENT_DESCRIPTION);	
			}
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
	
		// Restore Cache on reload
		// ...........................................	
		if
		(
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_EOD_ZREADING") || 
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_EOD_ZREADING")
		)
		{
			  window.onbeforeunload = function(event)
			  {
					// Get Current Root path
					var CURRENT_ROOT_PATH = JSCUS_CACHE.ROOT_PATH + JSVC_STR.VAR_MID(JSVC_STR.VAR_DLEFT(JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS], JSCUS_CACHE.SERVER_URL.length), 1, 1);
				
					// Cache Primary Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_ID_EOD_ZREADING', 
						PROPERTY_PARENT_ID, 
						5, 
						CURRENT_ROOT_PATH
					);
					
					// Cache Description
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DESCRIPTION_EOD_ZREADING', 
						PROPERTY_PARENT_DESCRIPTION, 
						5, 
						CURRENT_ROOT_PATH
					);
			  };
		}
		
 		// Cache Class Properties
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_REC_EODREP_ZREAD_ID"))
		{
			PROPERTY_REC_EODREP_ZREAD_ID = JSVC_COOKIE.VAR_READ("PROPERTY_REC_EODREP_ZREAD_ID");
		}	
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_EDIT_MODE"))
		{
			PROPERTY_EDIT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_REC_EODREP_ZREAD_ID");
		}
	
		// Initialize: Modals
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EOD_ZREADING_MODAL") == true)
		{
			// Display Modal
			JSOC_DIALOG.VAR_MODAL("EOD_ZREADING_MODAL", false);
		}
				
		// Initialize: Ribbon Buttons [Add Item]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("ADD_BBI"))
		{
    		ADD_BBI = JSOC_ELEMENT.VAR_GET("ADD_BBI");     	
			
			// Add OnClick event [Show Modal]
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EOD_ZREADING_MODAL"))
			{
				ADD_BBI.onclick = 
					function()
					{		
						// Display Modal
						PROPERTY_REC_EODREP_ZREAD_ID = FLAG_BIGINT_NULL;
						PROPERTY_EDIT_ROW_INDEX = -1;
						
						if(JSVC_VAR.VAR_ISSET(INPUT_INSTANCE))
						{
							JSOC_WINDOW.VAR_INPUT_INSTANCE_RESTORE(INPUT_INSTANCE);
						}
						EDIT_HANDLER.REF_IS_MODIFIED = false;
						JSOC_DIALOG.VAR_MODAL("EOD_ZREADING_MODAL", true);
					}		
			}
			// Add OnClick event [Show Add/Edit Page]
			else
			{
				
			}
		}	
		
		// Initialize: Ribbon Buttons [Save Changes]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SAVE_BBI"))
		{
    		SAVE_BBI = JSOC_ELEMENT.VAR_GET("SAVE_BBI");     
			if(JSVC_VAR.VAR_ISSET(HTTP_SAVE))
			{
				// Prepare Save callback
				var CALLBACK_HANDLER = 
					function(IS_SUCCESS)
					{
						// Abort on failure
						if(IS_SUCCESS == false)
						{
							return;
						}
					
						// Show record saved messageBox
						JSVC_INFO.VAR_RECORD_SAVED('');
					}
				
				// Add OnClick event
				SAVE_BBI.onclick = 
					function()
					{
						HTTP_SAVE(CALLBACK_HANDLER);
					}
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("CANCEL_BBI"))
		{
    		CANCEL_BBI = JSOC_ELEMENT.VAR_GET("CANCEL_BBI");      		
		}
		
		// Initialize: Ribbon Buttons [Add Back Link (to parent page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				}		
		}
		
		// Initialize: Ribbon Buttons [Add Forward Link (to child page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				}		
		}

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = function(){HTTP_SEARCH()};
		}		

		// Initialize: Ribbon Buttons [Add Print]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRINT_BBI"))
		{
			PRINT_BBI = JSOC_ELEMENT.VAR_GET("PRINT_BBI");
			PRINT_BBI.onclick = function()
			{
				window.print();
			};
		}		
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSRC_EXCEL.REF_EXPORT('EOD_ZREADING_DGV');
			};
		}		

		
		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';
		
		
		// Initialize: Input Controls
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_ID_TXT"))
		{
			REC_EODREP_ZREAD_ID_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_ID_TXT");      
			REC_EODREP_ZREAD_ID_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_ID_TXT.onkeypress = function(){REC_EODREP_ZREAD_ID_TXT.onchange();};
			REC_EODREP_ZREAD_ID_TXT.onpaste = function(){REC_EODREP_ZREAD_ID_TXT.onchange();};
			REC_EODREP_ZREAD_ID_TXT.oninput = function(){REC_EODREP_ZREAD_ID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_REC_EODREP_ID_CMB"))
		{
			REC_EODREP_ZREAD_REC_EODREP_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_REC_EODREP_ID_CMB");      	
			REC_EODREP_ZREAD_REC_EODREP_ID_CMB.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_REC_EODREP_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_REC_EODREP_ID_CMB.onkeypress = function(){REC_EODREP_ZREAD_REC_EODREP_ID_CMB.onchange();};
			REC_EODREP_ZREAD_REC_EODREP_ID_CMB.onpaste = function(){REC_EODREP_ZREAD_REC_EODREP_ID_CMB.onchange();};
			REC_EODREP_ZREAD_REC_EODREP_ID_CMB.oninput = function(){REC_EODREP_ZREAD_REC_EODREP_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_CODE_TXT"))
		{
			REC_EODREP_ZREAD_CODE_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_CODE_TXT");      
			REC_EODREP_ZREAD_CODE_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_CODE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_CODE_TXT.onkeypress = function(){REC_EODREP_ZREAD_CODE_TXT.onchange();};
			REC_EODREP_ZREAD_CODE_TXT.onpaste = function(){REC_EODREP_ZREAD_CODE_TXT.onchange();};
			REC_EODREP_ZREAD_CODE_TXT.oninput = function(){REC_EODREP_ZREAD_CODE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_DATE_DTP"))
		{
			REC_EODREP_ZREAD_DATE_DTP = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_DATE_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_EODREP_ZREAD_DATE_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_EODREP_ZREAD_DATE_DTP.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_DATE_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_DATE_DTP.onkeypress = function(){REC_EODREP_ZREAD_DATE_DTP.onchange();};
			REC_EODREP_ZREAD_DATE_DTP.onpaste = function(){REC_EODREP_ZREAD_DATE_DTP.onchange();};
			REC_EODREP_ZREAD_DATE_DTP.oninput = function(){REC_EODREP_ZREAD_DATE_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_EODREP_ZREAD_DATE_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_EODREP_ZREAD_DATE_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_EODREP_ZREAD_DATE_FROM_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_EODREP_ZREAD_DATE_FROM_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_EODREP_ZREAD_DATE_TO_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_EODREP_ZREAD_DATE_TO_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', 7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_AMOUNT_LAST_TXT"))
		{
			REC_EODREP_ZREAD_AMOUNT_LAST_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_AMOUNT_LAST_TXT");      
			REC_EODREP_ZREAD_AMOUNT_LAST_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_AMOUNT_LAST_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_AMOUNT_LAST_TXT.onkeypress = function(){REC_EODREP_ZREAD_AMOUNT_LAST_TXT.onchange();};
			REC_EODREP_ZREAD_AMOUNT_LAST_TXT.onpaste = function(){REC_EODREP_ZREAD_AMOUNT_LAST_TXT.onchange();};
			REC_EODREP_ZREAD_AMOUNT_LAST_TXT.oninput = function(){REC_EODREP_ZREAD_AMOUNT_LAST_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_AMOUNT_ACCUM_TXT"))
		{
			REC_EODREP_ZREAD_AMOUNT_ACCUM_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_AMOUNT_ACCUM_TXT");      
			REC_EODREP_ZREAD_AMOUNT_ACCUM_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_AMOUNT_ACCUM_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_AMOUNT_ACCUM_TXT.onkeypress = function(){REC_EODREP_ZREAD_AMOUNT_ACCUM_TXT.onchange();};
			REC_EODREP_ZREAD_AMOUNT_ACCUM_TXT.onpaste = function(){REC_EODREP_ZREAD_AMOUNT_ACCUM_TXT.onchange();};
			REC_EODREP_ZREAD_AMOUNT_ACCUM_TXT.oninput = function(){REC_EODREP_ZREAD_AMOUNT_ACCUM_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_AMOUNT_RESET_TXT"))
		{
			REC_EODREP_ZREAD_AMOUNT_RESET_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_AMOUNT_RESET_TXT");      
			REC_EODREP_ZREAD_AMOUNT_RESET_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_AMOUNT_RESET_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_AMOUNT_RESET_TXT.onkeypress = function(){REC_EODREP_ZREAD_AMOUNT_RESET_TXT.onchange();};
			REC_EODREP_ZREAD_AMOUNT_RESET_TXT.onpaste = function(){REC_EODREP_ZREAD_AMOUNT_RESET_TXT.onchange();};
			REC_EODREP_ZREAD_AMOUNT_RESET_TXT.oninput = function(){REC_EODREP_ZREAD_AMOUNT_RESET_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_SALE_TRANSACTION_TXT"))
		{
			REC_EODREP_ZREAD_SALE_TRANSACTION_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_SALE_TRANSACTION_TXT");      
			REC_EODREP_ZREAD_SALE_TRANSACTION_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_SALE_TRANSACTION_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_SALE_TRANSACTION_TXT.onkeypress = function(){REC_EODREP_ZREAD_SALE_TRANSACTION_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_TRANSACTION_TXT.onpaste = function(){REC_EODREP_ZREAD_SALE_TRANSACTION_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_TRANSACTION_TXT.oninput = function(){REC_EODREP_ZREAD_SALE_TRANSACTION_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_CANCEL_TRANSACTION_TXT"))
		{
			REC_EODREP_ZREAD_CANCEL_TRANSACTION_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_CANCEL_TRANSACTION_TXT");      
			REC_EODREP_ZREAD_CANCEL_TRANSACTION_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_CANCEL_TRANSACTION_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_CANCEL_TRANSACTION_TXT.onkeypress = function(){REC_EODREP_ZREAD_CANCEL_TRANSACTION_TXT.onchange();};
			REC_EODREP_ZREAD_CANCEL_TRANSACTION_TXT.onpaste = function(){REC_EODREP_ZREAD_CANCEL_TRANSACTION_TXT.onchange();};
			REC_EODREP_ZREAD_CANCEL_TRANSACTION_TXT.oninput = function(){REC_EODREP_ZREAD_CANCEL_TRANSACTION_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_CANCEL_ITEM_TXT"))
		{
			REC_EODREP_ZREAD_CANCEL_ITEM_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_CANCEL_ITEM_TXT");      
			REC_EODREP_ZREAD_CANCEL_ITEM_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_CANCEL_ITEM_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_CANCEL_ITEM_TXT.onkeypress = function(){REC_EODREP_ZREAD_CANCEL_ITEM_TXT.onchange();};
			REC_EODREP_ZREAD_CANCEL_ITEM_TXT.onpaste = function(){REC_EODREP_ZREAD_CANCEL_ITEM_TXT.onchange();};
			REC_EODREP_ZREAD_CANCEL_ITEM_TXT.oninput = function(){REC_EODREP_ZREAD_CANCEL_ITEM_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_SALE_SUBTOTAL_TXT"))
		{
			REC_EODREP_ZREAD_SALE_SUBTOTAL_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_SALE_SUBTOTAL_TXT");      
			REC_EODREP_ZREAD_SALE_SUBTOTAL_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_SALE_SUBTOTAL_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_SALE_SUBTOTAL_TXT.onkeypress = function(){REC_EODREP_ZREAD_SALE_SUBTOTAL_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_SUBTOTAL_TXT.onpaste = function(){REC_EODREP_ZREAD_SALE_SUBTOTAL_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_SUBTOTAL_TXT.oninput = function(){REC_EODREP_ZREAD_SALE_SUBTOTAL_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_SALE_DISCOUNT_TXT"))
		{
			REC_EODREP_ZREAD_SALE_DISCOUNT_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_SALE_DISCOUNT_TXT");      
			REC_EODREP_ZREAD_SALE_DISCOUNT_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_SALE_DISCOUNT_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_SALE_DISCOUNT_TXT.onkeypress = function(){REC_EODREP_ZREAD_SALE_DISCOUNT_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_DISCOUNT_TXT.onpaste = function(){REC_EODREP_ZREAD_SALE_DISCOUNT_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_DISCOUNT_TXT.oninput = function(){REC_EODREP_ZREAD_SALE_DISCOUNT_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_SALE_RETURN_TXT"))
		{
			REC_EODREP_ZREAD_SALE_RETURN_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_SALE_RETURN_TXT");      
			REC_EODREP_ZREAD_SALE_RETURN_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_SALE_RETURN_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_SALE_RETURN_TXT.onkeypress = function(){REC_EODREP_ZREAD_SALE_RETURN_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_RETURN_TXT.onpaste = function(){REC_EODREP_ZREAD_SALE_RETURN_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_RETURN_TXT.oninput = function(){REC_EODREP_ZREAD_SALE_RETURN_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_SALE_VATABLE_TXT"))
		{
			REC_EODREP_ZREAD_SALE_VATABLE_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_SALE_VATABLE_TXT");      
			REC_EODREP_ZREAD_SALE_VATABLE_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_SALE_VATABLE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_SALE_VATABLE_TXT.onkeypress = function(){REC_EODREP_ZREAD_SALE_VATABLE_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_VATABLE_TXT.onpaste = function(){REC_EODREP_ZREAD_SALE_VATABLE_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_VATABLE_TXT.oninput = function(){REC_EODREP_ZREAD_SALE_VATABLE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_SALE_VATEXEMPT_TXT"))
		{
			REC_EODREP_ZREAD_SALE_VATEXEMPT_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_SALE_VATEXEMPT_TXT");      
			REC_EODREP_ZREAD_SALE_VATEXEMPT_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_SALE_VATEXEMPT_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_SALE_VATEXEMPT_TXT.onkeypress = function(){REC_EODREP_ZREAD_SALE_VATEXEMPT_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_VATEXEMPT_TXT.onpaste = function(){REC_EODREP_ZREAD_SALE_VATEXEMPT_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_VATEXEMPT_TXT.oninput = function(){REC_EODREP_ZREAD_SALE_VATEXEMPT_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_SALE_NONVAT_TXT"))
		{
			REC_EODREP_ZREAD_SALE_NONVAT_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_SALE_NONVAT_TXT");      
			REC_EODREP_ZREAD_SALE_NONVAT_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_SALE_NONVAT_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_SALE_NONVAT_TXT.onkeypress = function(){REC_EODREP_ZREAD_SALE_NONVAT_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_NONVAT_TXT.onpaste = function(){REC_EODREP_ZREAD_SALE_NONVAT_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_NONVAT_TXT.oninput = function(){REC_EODREP_ZREAD_SALE_NONVAT_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_SALE_ZERORATED_TXT"))
		{
			REC_EODREP_ZREAD_SALE_ZERORATED_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_SALE_ZERORATED_TXT");      
			REC_EODREP_ZREAD_SALE_ZERORATED_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_SALE_ZERORATED_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_SALE_ZERORATED_TXT.onkeypress = function(){REC_EODREP_ZREAD_SALE_ZERORATED_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_ZERORATED_TXT.onpaste = function(){REC_EODREP_ZREAD_SALE_ZERORATED_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_ZERORATED_TXT.oninput = function(){REC_EODREP_ZREAD_SALE_ZERORATED_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_SALE_VAT_TXT"))
		{
			REC_EODREP_ZREAD_SALE_VAT_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_SALE_VAT_TXT");      
			REC_EODREP_ZREAD_SALE_VAT_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_SALE_VAT_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_SALE_VAT_TXT.onkeypress = function(){REC_EODREP_ZREAD_SALE_VAT_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_VAT_TXT.onpaste = function(){REC_EODREP_ZREAD_SALE_VAT_TXT.onchange();};
			REC_EODREP_ZREAD_SALE_VAT_TXT.oninput = function(){REC_EODREP_ZREAD_SALE_VAT_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_PAID_CASH_TXT"))
		{
			REC_EODREP_ZREAD_PAID_CASH_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_PAID_CASH_TXT");      
			REC_EODREP_ZREAD_PAID_CASH_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_PAID_CASH_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_PAID_CASH_TXT.onkeypress = function(){REC_EODREP_ZREAD_PAID_CASH_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_CASH_TXT.onpaste = function(){REC_EODREP_ZREAD_PAID_CASH_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_CASH_TXT.oninput = function(){REC_EODREP_ZREAD_PAID_CASH_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_PAID_CARD_TXT"))
		{
			REC_EODREP_ZREAD_PAID_CARD_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_PAID_CARD_TXT");      
			REC_EODREP_ZREAD_PAID_CARD_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_PAID_CARD_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_PAID_CARD_TXT.onkeypress = function(){REC_EODREP_ZREAD_PAID_CARD_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_CARD_TXT.onpaste = function(){REC_EODREP_ZREAD_PAID_CARD_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_CARD_TXT.oninput = function(){REC_EODREP_ZREAD_PAID_CARD_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_PAID_CHECK_TXT"))
		{
			REC_EODREP_ZREAD_PAID_CHECK_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_PAID_CHECK_TXT");      
			REC_EODREP_ZREAD_PAID_CHECK_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_PAID_CHECK_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_PAID_CHECK_TXT.onkeypress = function(){REC_EODREP_ZREAD_PAID_CHECK_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_CHECK_TXT.onpaste = function(){REC_EODREP_ZREAD_PAID_CHECK_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_CHECK_TXT.oninput = function(){REC_EODREP_ZREAD_PAID_CHECK_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_PAID_BANK_TXT"))
		{
			REC_EODREP_ZREAD_PAID_BANK_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_PAID_BANK_TXT");      
			REC_EODREP_ZREAD_PAID_BANK_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_PAID_BANK_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_PAID_BANK_TXT.onkeypress = function(){REC_EODREP_ZREAD_PAID_BANK_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_BANK_TXT.onpaste = function(){REC_EODREP_ZREAD_PAID_BANK_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_BANK_TXT.oninput = function(){REC_EODREP_ZREAD_PAID_BANK_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_PAID_LOYALTY_TXT"))
		{
			REC_EODREP_ZREAD_PAID_LOYALTY_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_PAID_LOYALTY_TXT");      
			REC_EODREP_ZREAD_PAID_LOYALTY_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_PAID_LOYALTY_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_PAID_LOYALTY_TXT.onkeypress = function(){REC_EODREP_ZREAD_PAID_LOYALTY_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_LOYALTY_TXT.onpaste = function(){REC_EODREP_ZREAD_PAID_LOYALTY_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_LOYALTY_TXT.oninput = function(){REC_EODREP_ZREAD_PAID_LOYALTY_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_PAID_VOUCHER_TXT"))
		{
			REC_EODREP_ZREAD_PAID_VOUCHER_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_PAID_VOUCHER_TXT");      
			REC_EODREP_ZREAD_PAID_VOUCHER_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_PAID_VOUCHER_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_PAID_VOUCHER_TXT.onkeypress = function(){REC_EODREP_ZREAD_PAID_VOUCHER_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_VOUCHER_TXT.onpaste = function(){REC_EODREP_ZREAD_PAID_VOUCHER_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_VOUCHER_TXT.oninput = function(){REC_EODREP_ZREAD_PAID_VOUCHER_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_PAID_OTHER_TXT"))
		{
			REC_EODREP_ZREAD_PAID_OTHER_TXT = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_PAID_OTHER_TXT");      
			REC_EODREP_ZREAD_PAID_OTHER_TXT.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_PAID_OTHER_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_PAID_OTHER_TXT.onkeypress = function(){REC_EODREP_ZREAD_PAID_OTHER_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_OTHER_TXT.onpaste = function(){REC_EODREP_ZREAD_PAID_OTHER_TXT.onchange();};
			REC_EODREP_ZREAD_PAID_OTHER_TXT.oninput = function(){REC_EODREP_ZREAD_PAID_OTHER_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODREP_ZREAD_STATUS_CMB"))
		{
			REC_EODREP_ZREAD_STATUS_CMB = JSOC_ELEMENT.VAR_GET("REC_EODREP_ZREAD_STATUS_CMB");      	
			REC_EODREP_ZREAD_STATUS_CMB.onchange = 
				function()
				{
					if(REC_EODREP_ZREAD_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODREP_ZREAD_STATUS_CMB.onkeypress = function(){REC_EODREP_ZREAD_STATUS_CMB.onchange();};
			REC_EODREP_ZREAD_STATUS_CMB.onpaste = function(){REC_EODREP_ZREAD_STATUS_CMB.onchange();};
			REC_EODREP_ZREAD_STATUS_CMB.oninput = function(){REC_EODREP_ZREAD_STATUS_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARAM_REC_EODREP_ZREAD_ID_FILE_FP"))
		{
			PARAM_REC_EODREP_ZREAD_ID_FILE_FP = JSOC_ELEMENT.VAR_GET("PARAM_REC_EODREP_ZREAD_ID_FILE_FP");
		}
				
		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	}